## libcolumbus 0.4.0daily13.04.16~13.04

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,6 +19,7 @@
 include(FindPkgConfig)
 include(cmake/pch.cmake)
 include(cmake/python.cmake)
+include(cmake/coverage.cmake)
 
 if(${full_warnings})
   set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -pedantic")
