=== share/CMakeLists.txt ===
install(FILES
latinAccentedLetterGroups.txt
DESTINATION share/${COL_LIB_BASENAME})
