## libcolumbus 0.9.0-1

=== debian/changelog ===
libcolumbus (0.9.0-1) unstable; urgency=low

  * Initial release

 -- Tom Swindell <t.swindell@rubyx.co.uk>  Mon, 27 Dec 2010 18:55:54 +0000
