## libcolumbus 0.9.2-1

=== debian/changelog ===
libcolumbus (0.9.2-1) unstable; urgency=low

  * Added support for waypoints.
  * Fixed crashing issue.
  * Fix for issue with gps not initializing properly on some devices.

 -- Tom Swindell <t.swindell@rubyx.co.uk>  Sun, 09 Jan 2011 14:10:02 +0000
