## libcolumbus 0.9.2-2

=== debian/changelog ===
libcolumbus (0.9.2-2) unstable; urgency=low

  * Packaging version bump for importing into extras.

 -- Tom Swindell <t.swindell@rubyx.co.uk>  Sun, 09 Jan 2011 14:26:14 +0000
