=== debian/control ===
Source: libcolumbus
Priority: extra
Maintainer: Tom Swindell <t.swindell@rubyx.co.uk>
Build-Depends: debhelper (>= 5), libqt4-dev, libqtm-dev, librxsupport-dev
Standards-Version: 3.7.2
Section: libs

Package: libcolumbus-dev
Section: libdevel
Architecture: any
Depends: librxsupport-dev, libcolumbus (= ${Source-Version})
Description: Columbus application development headers

Package: libcolumbus
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Columbus application engine core
