## libcolumbus 0.9.3-1

=== debian/changelog ===
libcolumbus (0.9.3-1) unstable; urgency=low

  * Updated source version.
  * Updated control file to rely on newer librxsupport version.

 -- Tom Swindell <t.swindell@rubyx.co.uk>  Wed, 19 Jan 2011 19:05:06 +0000
