=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: libcolumbus-dev
 Section: libdevel
 Architecture: any
-Depends: librxsupport-dev, libcolumbus (= ${Source-Version})
+Depends: librxsupport-dev (>= 0.2.0), libcolumbus (= ${Source-Version})
 Description: Columbus application development headers
 
 Package: libcolumbus
