=== debian/rules ===
--- 
+++ 
@@ -66,7 +66,6 @@
 	mkdir -p "$(CURDIR)"/debian/libcolumbus-dev/usr/include/rx/columbus/logging
 
 	cp "$(CURDIR)"/src/*.h "$(CURDIR)"/debian/libcolumbus-dev/usr/include/rx/columbus
-	rm "$(CURDIR)"/debian/libcolumbus-dev/usr/include/rx/columbus/{config,units}.h
 
 	cp "$(CURDIR)"/src/logging/*.h "$(CURDIR)"/debian/libcolumbus-dev/usr/include/rx/columbus/logging
 	rm "$(CURDIR)"/debian/libcolumbus-dev/usr/include/rx/columbus/logging/NMEAGeoLoggingFormatter.h
