## libcolumbus 1.0.0+13.10.20130814.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 option(enable_tests "Enable tests." ON)
 option(enable_scalability_tests "Additional scalability tests that are potentially very slow to run." OFF)
-option(full_warnings "Full compiler warnings." ON)
+option(full_warnings "All possible compiler warnings." OFF)
 option(debug_messages "Print debug messages.")
 option(full_unicode "Enable full Unicode support (takes lots of memory).")
 option(use_python2 "Build Python bindings against Python 2 (UNSUPPORTED)." OFF)
@@ -21,9 +21,11 @@
 include(cmake/python.cmake)
 include(cmake/coverage.cmake)
 
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -pedantic -Wextra")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -pedantic -Wextra")
 if(${full_warnings})
-  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -pedantic")
-  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -pedantic")
+# C does not have any more warning flags.
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Weffc++")
 endif()
 
 if(${debug_messages})
@@ -35,20 +37,21 @@
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fvisibility=hidden")
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
 
-set(SO_VERSION_MAJOR "0")
-set(SO_VERSION_MINOR "4")
+set(SO_VERSION_MAJOR "1")
+set(SO_VERSION_MINOR "0")
 set(SO_VERSION_PATCH "0")
 
 set(SO_VERSION "${SO_VERSION_MAJOR}.${SO_VERSION_MINOR}.${SO_VERSION_PATCH}")
 
-set(COL_LIB_BASENAME "columbus${SO_VERSION_MAJOR}")
+set(COL_LIB_BASENAME "columbus")
 
 # Increment this manually whenever breaking ABI.
 # http://tldp.org/HOWTO/Program-Library-HOWTO/shared-libraries.html#AEN135
-set(ABI_VERSION 0)
+set(ABI_VERSION 1)
 
+include(GNUInstallDirs)
+set(LIBDIR ${CMAKE_INSTALL_LIBDIR})
 # Set as cache variable so packaging can override.
-set(LIBDIR "lib" CACHE PATH "Destination install dir for the library")
 set(PYTHONDIR "lib/python3/dist-packages" CACHE PATH "Destination install dir for Python module")
 
 include(TestBigEndian)
