=== src/CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,7 @@
 ErrorMatrix.cc
 ResultFilter.cc
 Trie.cc
+SearchParameters.cc
 )
 
 if(ICONV_LIBRARIES)
