=== test/CMakeLists.txt ===
--- 
+++ 
@@ -19,6 +19,7 @@
 coltest(indexweights IndexWeightsTest.cc)
 coltest(wordstore WordStoreTest.cc)
 coltest(filtering ResultFilterTest.cc)
+coltest(searchparameters SearchParametersTest.cc)
 coltest(capi CAPITest.c)
 
 add_executable(lev_scalability LevScalabilityTest.cc)
