## libcolumbus 1.1.0+15.10.20150806

=== CMakeLists.txt ===
--- 
+++ 
@@ -35,10 +35,10 @@
 # Symbol visibility
 add_definitions(-DBUILDING_COLUMBUS)
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fvisibility=hidden")
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden -fvisibility-inlines-hidden")
 
 set(SO_VERSION_MAJOR "1")
-set(SO_VERSION_MINOR "0")
+set(SO_VERSION_MINOR "1")
 set(SO_VERSION_PATCH "0")
 
 set(SO_VERSION "${SO_VERSION_MAJOR}.${SO_VERSION_MINOR}.${SO_VERSION_PATCH}")
