=== share/CMakeLists.txt ===
install(FILES
latinAccentedLetterGroups.txt
greekAccentedLetterGroups.txt
DESTINATION share/${COL_LIB_BASENAME}${SO_VERSION_MAJOR})
